############################################################
#
# type definition pro_declaration_component_lcas
#
# RESPONSIBLE: David Groep <davidg@nikhef.nl>
#
# AUTHOR: David Groep <davidg@nikhef.nl>
#
# VERSION : 0.1.3
#
############################################################

declaration template pro_declaration_component_lcas;

include pro_declaration_structures;

define type lcas_plainfile_content_type = {
	"path"		: string
	"noheader"	? boolean
	"content"	? string[]
};

define type lcas_modulespec_type = {
	"path"	: string
	"args"	? string
	"conf"  ? lcas_plainfile_content_type
};

define type component_lcas = {
  include structure_component
  "dbpath"	: string
  "module"	? lcas_modulespec_type[]
};

type "/software/components/lcas" = component_lcas;

